Skip to main content
GET
/
api
/
v1
/
buckets
/
{bucket_id}
/
permissions
List bucket permissions
curl --request GET \
  --url https://api.example.com/api/v1/buckets/{bucket_id}/permissions \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "permissions": [
    {
      "created_at": "<string>",
      "expires_at": "<string>",
      "granted_by": "<string>",
      "id": "<string>",
      "permission": "<string>",
      "principal_id": "<string>",
      "principal_type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Path Parameters

bucket_id
string
required

Bucket ID

Response

OK

count
integer
permissions
object[]